/*
    rdj - a gtk+ radio program for video4linux devices
    Copyright (C) 2000-2001  David Mimms, Jr.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#ifndef _CALLBACKS_H_
#define _CALLBACKS_H_

int  TUNE (char *);
void on_close_dialog (GtkWidget *widget, gpointer gdata);
void on_options_clicked (GtkButton *button, gpointer user_data);
void on_optionmenu_clicked (GtkLabel *label, gpointer user_data);
void on_options_optionmenu_clicked (GtkLabel *label, gpointer user_data);
void on_mute_toggled_toggled (GtkToggleButton *toggleb, gpointer data);
void on_mixer_clicked (GtkButton *button, gpointer user_data);
void on_freq_inc_clicked(GtkButton *, gpointer);
void on_freq_dec_clicked(GtkButton *, gpointer);
void on_station_radiobutton_toggled (GtkToggleButton *togglebutton,  gpointer user_data);
void on_freqradiobutton_toggled (GtkToggleButton *togglebutton,  gpointer user_data);
void on_slad_toggled (GtkToggleButton *togglebutton,  gpointer user_data);
void on_mute_exit_checkbutton_toggled (GtkToggleButton *togglebutton,  gpointer user_data);
void on_wine_checkbutton_toggled (GtkToggleButton *togglebutton,  gpointer user_data);
void on_store_location_checkbutton_toggled (GtkToggleButton *togglebutton,  gpointer user_data);
void on_radio_optionmenu_clicked (GtkLabel *label,  gpointer user_data);
void on_clist_select_row (GtkCList *lst, gpointer p);
void on_freqchart_add_clicked (GtkCList *clist, gpointer p);
void on_freqchart_update_clicked (GtkCList *lst, gpointer p);
void on_freqchart_remove_clicked (GtkCList *lst, gpointer user_data);
void on_freqchart_mv_up_clicked (GtkCList *lst, gpointer user_data);
void on_freqchart_mv_down_clicked (GtkCList *lst, gpointer user_data);
void on_tv_toggled (GtkWidget *w, gpointer g);
void on_scan_button_clicked (GtkButton *button,  gpointer user_data);
void on_load_freq_clicked (GtkWidget *entry,  gpointer user_data);

void save_options (int);
void on_options_save_clicked (GtkWidget *,  gpointer user_data);
void on_options_apply_clicked (GtkWidget *,  gpointer user_data);
void on_close_options (GtkWidget *,  gpointer user_data);

int SetTextFreq (const char *freq);
void MessageBox (const char *message);
GtkWidget *create_station_menu ();
GtkWidget *create_options_station_menu ();
GtkWidget *create_win_main ();
GtkWidget *create_options_window (void);
GtkWidget *make_icon_button (GtkWidget *parent, gchar *xpm_filename);
gint parse_key_press (GtkWidget *widget, GdkEventKey *event);
gint key_press_close_win (GtkWidget *widget, GdkEventKey *event);
int get_list_position (const char *);

void change_station_up ();
void change_station_down ();

void create_freq_new_win ();


#endif
