/*
    rdj - a gtk+ radio program for video4linux devices
    Copyright (C) 2000-2001  David Mimms, Jr.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

// defines.h

#ifndef __DJ_DEFINES__
#define __DJ_DEFINES__

// include the language support
#include "lang.h"

//#define MYCPU

#define DFT_CARD   "/dev/radio"
#define PPREFIX    "/usr/share/rdj"

#define PATH_PREFS PPREFIX"/xpm/prefs.xpm"
#define PATH_MUTE  PPREFIX"/xpm/mute_off.xpm"
#define PATH_MIXER PPREFIX"/xpm/mixer.xpm"
#define PATH_TV    PPREFIX"/xpm/tv.xpm"
#define PATH_EXIT  PPREFIX"/xpm/exit.xpm"
#define PATH_RDJ   PPREFIX"/rdj_icon.xpm"
#define PATH_MUTE_ON PPREFIX"/xpm/mute_on.xpm"
#define PATH_TV_ON   PPREFIX"/xpm/tv_on.xpm"

#define CfgFile        ".rdj"
#define CFG_station    "station"
#define CFG_freq       "freq"
#define CFG_card       "card"
#define CFG_mute       "mute_on_exit"
#define CFG_tune_inc   "tune_inc"
#define CFG_wine       "wine"
#define CFG_scan_start "scan_start"
#define CFG_scan_stop  "scan_stop"
#define CFG_tv_exec    "tv_exec"
#define CFG_mixer      "mixer"
#define CFG_slad       "save_last_as_dft"
#define CFG_font       "font"
#define CFG_remember_location "remember_loc"

#define CFG_foreground_r "fg_color_r"
#define CFG_foreground_b "fg_color_g"
#define CFG_foreground_g "fg_color_b"

#define CFG_background_r "bg_color_r"
#define CFG_background_g "bg_color_g"
#define CFG_background_b "bg_color_b"

#define CFG_Sec_Stations    "[ Stations ]\n"
#define CFG_Sec_Preferences "[ Preferences ]\n"

#define DFT_FONT       "-misc-fixed-*-*-*-*-14-*-*-*-*-*-*-*"

#define Cfg_location_file   ".rdj.location"
#define Cfg_shake_file      ".rdj.shake"

#define FREQLOW  "87.5"
#define FREQHIGH "108.0"

#define PAGE_OPTNS 0
#define PAGE_STATS 1
#define PAGE_STYLE 2
#define PAGE_SCANS 3
#define PAGE_ABOUT 4

#define RET_EXIT 301
#define RET_OK   302
#define RET_ERR  303
#define RET_MEM  304
#define RET_CARD 305
#define RET_EOL  306
#define RET_RNG  307

#define MAX_STAT_INPUT 30
#define MAX_FREQ_INPUT 6

typedef unsigned long ulong;

enum { UNTOGGLED = 0, TOGGLED, NONE};

struct tha_colorz {
  int red, grn, blu;
};

#define DFT_COLOR_FG_R 65535
#define DFT_COLOR_FG_G 65535
#define DFT_COLOR_FG_B 65535

#define DFT_COLOR_BG_R 0
#define DFT_COLOR_BG_G 0
#define DFT_COLOR_BG_B 0

#define FREQ_DELIM '.'

#endif
