/*
    rdj - a gtk+ radio program for video4linux devices
    Copyright (C) 2000-2001  David Mimms, Jr.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

// radioclass desc

#ifndef _RADIO_CLASS_H
#define _RADIO_CLASS_H

#include "defines.h"

#define HALFMAXVOL 65535 // set to max volume

#include <linux/videodev.h>

class radio_cs
{
 public:
  // initializes radio card to /dev/radio
  radio_cs ();
  // user defines radio card in cd 
  radio_cs (char /*cd*/*);
  // user defines radio card in cd and tunes a frequency in fq
  radio_cs (char /*cd*/*, char /*fq*/*);
  // use this card
  int open_card (char */*card*/);
  // usre tunes a frequency in fq
  int tune (char /*fq*/*);
  // user mutes radio
  int mute ();
  // user unmutes radio
  int unmute ();
  // user increments the frequency by number specified in inc
  int incfreq (char /*inc*/*);
  // user decrements the frequency by number specified in dec
  int decfreq (char /*dec*/*);
  // places the main frequency into fq
  int get_freq (char /*fq*/*);
  // closes handle to radio and mutes sound
  void off (int);
  // return signal strength
  unsigned long get_sig ();
  // freq range in a string in format: (low# - high# MHz)
  char freq_range[40];

 private:
  int fd, tunevol;
  double fact;
  char main_freq[MAX_FREQ_INPUT+1];
  char rcard[256];
  video_audio va;
  video_tuner vt;
  enum YN { YES =-1, NO};
  YN mute_on;
  int load_mods (char *, int);
};

#endif
